- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# zabbix_group – Create/delete Zabbix host groups

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create host groups if they do not exist.

- Delete existing host groups if they exist.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- zabbix-api >= 0.5.4

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host_groups list / elements=string / required |  | List of host groups to create or delete. aliases: host_group
http_login_password string |  | Basic Auth password
http_login_user string / required |  | Basic Auth login
login_password string / required |  | Zabbix user password.
login_user string / required |  | Zabbix user name.
server_url string / required |  | URL of Zabbix server, with protocol (http or https). `url` is an alias for `server_url`. aliases: url
state string | Choices: present ← absent | Create or delete host group.
timeout integer | Default: 10 | The timeout of API request (seconds).
validate_certs boolean added in 2.5 | Choices: no yes ← | If set to False, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- Too many concurrent updates to the same group may cause Zabbix to return errors, see examples for a workaround if needed.

- If you use login_password=zabbix, the word “zabbix” is replaced by “****” in all module output, because login_password uses `no_log`. See this FAQ for more information.

## Examples

    # Base create host groups example
    - name: Create host groups
      local_action:
        module: zabbix_group
        server_url: http://monitor.example.com
        login_user: username
        login_password: password
        state: present
        host_groups:
          - Example group1
          - Example group2

    # Limit the Zabbix group creations to one host since Zabbix can return an error when doing concurrent updates
    - name: Create host groups
      local_action:
        module: zabbix_group
        server_url: http://monitor.example.com
        login_user: username
        login_password: password
        state: present
        host_groups:
          - Example group1
          - Example group2
      when: inventory_hostname==groups['group_name'][0]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Cove (@cove)

- Tony Minfei Ding (!UNKNOWN)

- Harrison Gu (@harrisongu)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.